Matlab

14 risposte [Ultimo messaggio]
Ritratto di N1c0l4
N1c0l4
(Junior)
Offline
Junior
Iscritto: 03/01/2008
Messaggi: 25

Salve, ho un problema con matlab; quando lo avvio ho il seguente output:
libxcb: WARNING! Program tries to unlock a connection without having acquired<br />        a lock first, which indicates a programming error.<br />        There will be no further warnings about this issue.

Qualcuno ha idea di come risolvere?? Grazie.

Ritratto di bagarozzo85
bagarozzo85
(Guru)
Offline
Guru
Iscritto: 16/06/2006
Messaggi: 1050

Ciao,

Che versione di Java possiedi? (comando: java -version)

Se hai la versione 1.5.x.x, prova ad aggiornare alla 1.6 tramite i repo ufficiali.

bye

Ritratto di N1c0l4
N1c0l4
(Junior)
Offline
Junior
Iscritto: 03/01/2008
Messaggi: 25

Si, ho la versione 1.5.x.x, quali repo devo aggiungere per la versione 1.6?? In quelli OSS e NON OSS non c'è....

Ritratto di Crismon
Crismon
(Guru)
Offline
Guru
Iscritto: 28/11/2006
Messaggi: 1715

Ciao,
che versione di opensuse utilizzi?

Per la 10.3 aggiungi alle sorgenti della comunità:

- sorgente di installazione degli aggiornamenti.

www.crismonblog.org | Un blog targato openSUSE

Ritratto di N1c0l4
N1c0l4
(Junior)
Offline
Junior
Iscritto: 03/01/2008
Messaggi: 25

Ho la 10.3, ho inserito il repository degli aggiornamenti adesso seleziono il pacchetto java 1.6 mantenendo il resto o devo installare/disinstallare anche altri pacchetti??? Grazie mille per la pazienza.

Ritratto di Crismon
Crismon
(Guru)
Offline
Guru
Iscritto: 28/11/2006
Messaggi: 1715

Per quanto riguarda java devi aver installato questi pacchetti:

java-1_5_0-sun-1.5.0_update15-0.1
java-1_6_0-sun-1.6.0.u5-0.1
java-1_6_0-sun-plugin-1.6.0.u5-0.1

www.crismonblog.org | Un blog targato openSUSE

Ritratto di N1c0l4
N1c0l4
(Junior)
Offline
Junior
Iscritto: 03/01/2008
Messaggi: 25

Ok, ora vedo se ho risolto la questione matlab..... l'unica cosa è che java-plugin_1.6 mi dice che è un pacchetto che genera conflitto.... devo installarlo ugualmente?

Ritratto di bagarozzo85
bagarozzo85
(Guru)
Offline
Guru
Iscritto: 16/06/2006
Messaggi: 1050

Ovviamente dipende dal conflitto... cosa dice YaST a riguardo?

Ritratto di N1c0l4
N1c0l4
(Junior)
Offline
Junior
Iscritto: 03/01/2008
Messaggi: 25

mi dice che è selezionato come non installabile e l'unica soluzione proposta per risolvere il conflitto è non installarlo.... dovrei comunque forzare l'installazione del pacchetto per poter eseguire correttamente il matlab??

Ritratto di Crismon
Crismon
(Guru)
Offline
Guru
Iscritto: 28/11/2006
Messaggi: 1715

Hai per casao instalato java-1_5_0-sun-plugin ?
Nel caso lo fosse rimuovili.

www.crismonblog.org | Un blog targato openSUSE

Ritratto di N1c0l4
N1c0l4
(Junior)
Offline
Junior
Iscritto: 03/01/2008
Messaggi: 25

quando lancio matlab l'output è sempre quello..... ma cosa c'entra con java??